> ## Documentation Index
> Fetch the complete documentation index at: https://docs.extractor.live/llms.txt
> Use this file to discover all available pages before exploring further.

# get entity by id



## OpenAPI

````yaml /openapi.json get /api/v1/audit/{id}
openapi: 3.0.3
info:
  title: Extractor Project (dev)
  version: 0.0.649
servers: []
security: []
paths:
  /api/v1/audit/{id}:
    get:
      tags:
        - Contract Audit Route
      summary: get entity by id
      parameters:
        - name: id
          in: path
          required: true
          schema:
            format: int64
            type: integer
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ContractAuditDto'
      security:
        - SecurityScheme: []
components:
  schemas:
    ContractAuditDto:
      required:
        - contractId
        - cerAuditorId
        - auditStatus
        - auditedAt
        - expiredAt
      type: object
      properties:
        id:
          format: int64
          description: Unique identifier of the entity
          type: integer
          example: 1
        createdAt:
          format: int64
          description: Time when entity was created
          type: integer
        updatedAt:
          format: int64
          description: Time when entity was updated
          type: integer
        status:
          description: 'Status of the entity. Default: ''ACTIVE'''
          type: string
          allOf:
            - $ref: '#/components/schemas/Status'
        contractId:
          format: int64
          description: Contract Audit contract id
          type: integer
        cerAuditorId:
          format: int64
          description: Contract Audit auditor id from CER associated with the audit
          type: integer
        auditStatus:
          description: Contract Audit status of the audit
          type: string
          allOf:
            - $ref: '#/components/schemas/AuditStatus'
        auditedAt:
          format: int64
          description: Contract Audit date time
          type: integer
        expiredAt:
          format: int64
          description: Contract Audit expiration date time
          type: integer
    Status:
      enum:
        - ACTIVE
        - DISABLED
        - DELETED
      type: string
    AuditStatus:
      enum:
        - RELEVANT
        - NOT_RELEVANT
      type: string
  securitySchemes:
    SecurityScheme:
      type: http
      description: Authentication
      scheme: bearer
      bearerFormat: JWT

````